# 个人配置, 仅供参考, 请根据实际信息与个人喜好自行修改
# Update Time: 2024-11-24 21:19
# By: AC

allow-lan: false
log-level: silent
find-process-mode: always
tcp-concurrent: true
global-client-fingerprint: chrome
profile:
  store-selected: true
  store-fake-ip: true
unified-delay: true
geodata-loader: standard
geo-auto-update: true
geo-update-interval: 168
Global-DoH: &GDH
  - https://cloudflare-dns.com/dns-query
  - https://dns.google/dns-query
geodata-mode: true
geox-url:
  geoip: "http://hysteria.rymaker.com/blackmatrix7/geoip.dat"
  geosite: "http://hysteria.rymaker.com/blackmatrix7/geosite.dat"
  mmdb: "http://hysteria.rymaker.com/blackmatrix7/country.mmdb"
  asn: "http://hysteria.rymaker.com/blackmatrix7/GeoLite2-ASN.mmdb"
dns:
  cache-algorithm: arc
  enable: true
  respect-rules: true
  listen: 0.0.0.0:11053
  ipv6: true
  default-nameserver:
    - system
    - tls://8.8.8.8:853
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  fake-ip-filter:
    - "*.lan"
    - "*.local"
    - "*.msftconnecttest.com"
    - "*.msftncsi.com"
    - localhost.ptlogin2.qq.com
    - localhost.sec.qq.com
    - localhost.work.weixin.qq.com
    - "*.srv.nintendo.net"
    - "*.stun.playstation.net"
    - xbox.*.microsoft.com
    - "*.xboxlive.com"
    - time.*.com
    - ntp.*.com
    - +.market.xiaomi.com
    - api.cloudflare.com
    - "*.oray.com"
    - "*.sunlogin.net"
    - "*.yuanshen.com"
    - +.music.126.net
    - +.music.163.com
  nameserver-policy:
    rule-set:Advertising,ZhihuAds,EasyPrivacy,BlockHttpDNS,MIUIPrivacy: rcode://success
    rule-set:BiliBili,SteamCN,Lan,ChinaMax,applications: system
    geosite:bilibili@!cn,steam: *GDH
    rule-set:Steam,Global: *GDH
  nameserver:
    - system
  fallback: *GDH
  proxy-server-nameserver:
    - https://doh.pub/dns-query
  direct-nameserver:
    - system
  fallback-filter:
    geoip: true
    geoip-code: CN
    ipcidr:
      - 240.0.0.0/4

sniffer:
  enable: true
  force-dns-mapping: true
  parse-pure-ip: true
  override-destination: false
  sniff:
    HTTP:
      ports:
        - 80
        - 443
        - 8080-8880
      override-destination: true
    TLS:
      ports:
        - 443
        - 8443
    QUIC:
      ports:
        - 443
        - 8443
  skip-domain:
    - "*.rc.sunlogin.net"
    - "*.rc03.oray.com"
    - +.push.apple.com
    - "*.oray.com"
    - "*.sunlogin.net"

tun:
  enable: true
  stack: mixed
  auto-route: true
  auto-detect-interface: true
  dns-hijack:
    - any:53
  mtu: 1492
  strict-route: true
  route-exclude-address:
    - 192.168.0.0/16
    - 172.16.0.0/12
    - 10.0.0.0/8
  exclude-package:
    - com.cnspeedtest.globalspeed # 全球网测
    - com.huawei.genexcloud.speedtest # 花瓣测速
    - com.oray.sunlogin # 向日葵远程控制
    - com.netease.uuremote # GameViewer

xinjiapo: &PSCX
  type: hysteria2
  server: v22.rymaker.cn
  ports: 443
  password: tsz19961997412
  up: "3000 Mbps"
  down: "3000 Mbps"
  obfs: salamander
  obfs-password: tsz19961997412
  sni: v22.rymaker.cn
  skip-cert-verify: false
  fingerprint: "65:80:D1:17:3A:D2:3C:B5:BF:48:43:A6:AE:43:0A:D2:F2:15:32:83:F9:64:67:D6:46:CF:22:56:31:3D:B8:52"
  alpn:
    - h3
  ca-str: "-----BEGIN CERTIFICATE-----\nMIIDijCCAxCgAwIBAgISBpvOOInsUKOLOYZ85cww43I7MAoGCCqGSM49BAMDMDIx\nCzAJBgNVBAYTAlVTMRYwFAYDVQQKEw1MZXQncyBFbmNyeXB0MQswCQYDVQQDEwJF\nNzAeFw0yNTEwMTAwNTQwNDFaFw0yNjAxMDgwNTQwNDBaMBkxFzAVBgNVBAMTDnYy\nMi5yeW1ha2VyLmNuMFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAEbLhq3hDlTYvj\nDreZ17DZO+DkwvZwLPKixXPQwqK7tmxD8InpUYYeFrX0phQIWDulNsKA68pXoMRx\ne5aNXginBaOCAh0wggIZMA4GA1UdDwEB/wQEAwIHgDAdBgNVHSUEFjAUBggrBgEF\nBQcDAQYIKwYBBQUHAwIwDAYDVR0TAQH/BAIwADAdBgNVHQ4EFgQUn/uy0PXJFq6F\nKU63U8q+p/6AxUwwHwYDVR0jBBgwFoAUrkie3IcdRKBv2qLlYHQEeMKcAIAwMgYI\nKwYBBQUHAQEEJjAkMCIGCCsGAQUFBzAChhZodHRwOi8vZTcuaS5sZW5jci5vcmcv\nMBkGA1UdEQQSMBCCDnYyMi5yeW1ha2VyLmNuMBMGA1UdIAQMMAowCAYGZ4EMAQIB\nMC0GA1UdHwQmMCQwIqAgoB6GHGh0dHA6Ly9lNy5jLmxlbmNyLm9yZy82MC5jcmww\nggEFBgorBgEEAdZ5AgQCBIH2BIHzAPEAdwBkEcRspBLsp4kcogIuALyrTygH1B41\nJ6vq/tUDyX3N8AAAAZnM2Ez+AAAEAwBIMEYCIQCgnPVE/NUw5x3dFDDK7X563yDm\ngpUaexj2szBNWTXMHwIhAP1ih3CcK39QRFN0fBb+lV5GUns12dFQPPSCPsR4rzdt\nAHYADleUvPOuqT4zGyyZB7P3kN+bwj1xMiXdIaklrGHFTiEAAAGZzNhUygAABAMA\nRzBFAiAEUFm39HdKVDnlUmfhOTUoIfKPzRdO1FKgRMy/sKzSmAIhAOL9nUD+fVJd\nbQAxVt0d+fjwDqElOiy/oFKZuqGZ03ImMAoGCCqGSM49BAMDA2gAMGUCMGFfeIW1\n/RKkoIdYg2x6VaZ9a/z1zO0g0z916+gm6HKrR9VYAuv3eU+QTxI+yMNk3wIxAOVq\nvObylTj/8DdLxtHUXvSsaxhxVxAEQr6mWBjKeq4yPgAJUuVRB0p/EodbIsQlrQ==\n-----END CERTIFICATE-----\n-----BEGIN CERTIFICATE-----\nMIIEVzCCAj+gAwIBAgIRAKp18eYrjwoiCWbTi7/UuqEwDQYJKoZIhvcNAQELBQAw\nTzELMAkGA1UEBhMCVVMxKTAnBgNVBAoTIEludGVybmV0IFNlY3VyaXR5IFJlc2Vh\ncmNoIEdyb3VwMRUwEwYDVQQDEwxJU1JHIFJvb3QgWDEwHhcNMjQwMzEzMDAwMDAw\nWhcNMjcwMzEyMjM1OTU5WjAyMQswCQYDVQQGEwJVUzEWMBQGA1UEChMNTGV0J3Mg\nRW5jcnlwdDELMAkGA1UEAxMCRTcwdjAQBgcqhkjOPQIBBgUrgQQAIgNiAARB6AST\nCFh/vjcwDMCgQer+VtqEkz7JANurZxLP+U9TCeioL6sp5Z8VRvRbYk4P1INBmbef\nQHJFHCxcSjKmwtvGBWpl/9ra8HW0QDsUaJW2qOJqceJ0ZVFT3hbUHifBM/2jgfgw\ngfUwDgYDVR0PAQH/BAQDAgGGMB0GA1UdJQQWMBQGCCsGAQUFBwMCBggrBgEFBQcD\nATASBgNVHRMBAf8ECDAGAQH/AgEAMB0GA1UdDgQWBBSuSJ7chx1EoG/aouVgdAR4\nwpwAgDAfBgNVHSMEGDAWgBR5tFnme7bl5AFzgAiIyBpY9umbbjAyBggrBgEFBQcB\nAQQmMCQwIgYIKwYBBQUHMAKGFmh0dHA6Ly94MS5pLmxlbmNyLm9yZy8wEwYDVR0g\nBAwwCjAIBgZngQwBAgEwJwYDVR0fBCAwHjAcoBqgGIYWaHR0cDovL3gxLmMubGVu\nY3Iub3JnLzANBgkqhkiG9w0BAQsFAAOCAgEAjx66fDdLk5ywFn3CzA1w1qfylHUD\naEf0QZpXcJseddJGSfbUUOvbNR9N/QQ16K1lXl4VFyhmGXDT5Kdfcr0RvIIVrNxF\nh4lqHtRRCP6RBRstqbZ2zURgqakn/Xip0iaQL0IdfHBZr396FgknniRYFckKORPG\nyM3QKnd66gtMst8I5nkRQlAg/Jb+Gc3egIvuGKWboE1G89NTsN9LTDD3PLj0dUMr\nOIuqVjLB8pEC6yk9enrlrqjXQgkLEYhXzq7dLafv5Vkig6Gl0nuuqjqfp0Q1bi1o\nyVNAlXe6aUXw92CcghC9bNsKEO1+M52YY5+ofIXlS/SEQbvVYYBLZ5yeiglV6t3S\nM6H+vTG0aP9YHzLn/KVOHzGQfXDP7qM5tkf+7diZe7o2fw6O7IvN6fsQXEQQj8TJ\nUXJxv2/uJhcuy/tSDgXwHM8Uk34WNbRT7zGTGkQRX0gsbjAea/jYAoWv0ZvQRwpq\nPe79D/i7Cep8qWnA+7AE/3B3S/3dEEYmc0lpe1366A/6GEgk3ktr9PEoQrLChs6I\ntu3wnNLB2euC8IKGLQFpGtOO/2/hiAKjyajaBP25w1jF0Wl8Bbqne3uZ2q1GyPFJ\nYRmT7/OXpmOH/FVLtwS+8ng1cAmpCujPwteJZNcDG0sF2n/sc0+SQf49fdyUK0ty\n+VUwFj9tmWxyR/M=\n-----END CERTIFICATE-----"

ribenhy2: &ribenhy2
  type: hysteria2
  server: jplanglang.rymaker.cn
  ports: 58443
  password: tsz19961997412
  up: "3000 Mbps"
  down: "3000 Mbps"
  obfs: salamander
  obfs-password: tsz19961997412
  sni: jplanglang.rymaker.cn
  skip-cert-verify: false
  fingerprint: "96:69:9B:F8:67:F9:AE:CD:5E:1D:55:34:77:C7:B1:88:E5:D1:57:E9:32:77:09:FC:85:FB:DA:17:62:67:79:1C"
  alpn:
    - h3
  ca-str: "-----BEGIN CERTIFICATE-----\nMIIDkDCCAxWgAwIBAgISBW6jMe8leKRFesc0EEHFHRDEMAoGCCqGSM49BAMDMDIx\nCzAJBgNVBAYTAlVTMRYwFAYDVQQKEw1MZXQncyBFbmNyeXB0MQswCQYDVQQDEwJF\nNzAeFw0yNTEwMjQwMzE5MTFaFw0yNjAxMjIwMzE5MTBaMB0xGzAZBgNVBAMTEmNu\nMmh5Mi5yeW1ha2VyLmNvbTBZMBMGByqGSM49AgEGCCqGSM49AwEHA0IABJd27FAN\ngl6Rc26/ENwcQnfrATFp3uGXr1T8RGaTvYJjQQVBbrpDLot0czjZm6wG4SyAYZHU\nbij8h2ipP2jyLcOjggIeMIICGjAOBgNVHQ8BAf8EBAMCB4AwHQYDVR0lBBYwFAYI\nKwYBBQUHAwEGCCsGAQUFBwMCMAwGA1UdEwEB/wQCMAAwHQYDVR0OBBYEFGvzERE+\nkhRO/bmJmwYmsLuV6YQUMB8GA1UdIwQYMBaAFK5IntyHHUSgb9qi5WB0BHjCnACA\nMDIGCCsGAQUFBwEBBCYwJDAiBggrBgEFBQcwAoYWaHR0cDovL2U3LmkubGVuY3Iu\nb3JnLzAdBgNVHREEFjAUghJjbjJoeTIucnltYWtlci5jb20wEwYDVR0gBAwwCjAI\nBgZngQwBAgEwLQYDVR0fBCYwJDAioCCgHoYcaHR0cDovL2U3LmMubGVuY3Iub3Jn\nLzY5LmNybDCCAQIGCisGAQQB1nkCBAIEgfMEgfAA7gB1ABmG1Mcoqm/+ugNveCpN\nAZGqzi1yMQ+uzl1wQS0lTMfUAAABmhRvygIAAAQDAEYwRAIgb8LeZFANV+Lwu9YN\nQsKHJcDmZNQwLRchUX129kiFAHsCIHqmzpvXKnfg1XkPjtbc9rKiULpfqMk//BUW\nKvTKoPpsAHUAlpdkv1VYl633Q4doNwhCd+nwOtX2pPM2bkakPw/KqcYAAAGaFG/K\nLwAABAMARjBEAiBQiBpJhErD4g842E+aI32HfxqU25EkQYnIEpAcZ9CoKAIgTio9\nQZK74XN2zKzcc5x5BEjQhKn/WttOuY5hpbilMFcwCgYIKoZIzj0EAwMDaQAwZgIx\nAL81T2X7ya4QjjafVGojCsMQoqC/pKTBlGNYbuSXDQ8UBy2QjlB/cEVC/NNpNtbA\nFAIxAK99638BAViPh9llq/2ndRpNGSGhn2ZPfSimPrVjVtFUVcILrrBEDJD7AbGK\nGrs+YQ==\n-----END CERTIFICATE-----\n-----BEGIN CERTIFICATE-----\nMIIEVzCCAj+gAwIBAgIRAKp18eYrjwoiCWbTi7/UuqEwDQYJKoZIhvcNAQELBQAw\nTzELMAkGA1UEBhMCVVMxKTAnBgNVBAoTIEludGVybmV0IFNlY3VyaXR5IFJlc2Vh\ncmNoIEdyb3VwMRUwEwYDVQQDEwxJU1JHIFJvb3QgWDEwHhcNMjQwMzEzMDAwMDAw\nWhcNMjcwMzEyMjM1OTU5WjAyMQswCQYDVQQGEwJVUzEWMBQGA1UEChMNTGV0J3Mg\nRW5jcnlwdDELMAkGA1UEAxMCRTcwdjAQBgcqhkjOPQIBBgUrgQQAIgNiAARB6AST\nCFh/vjcwDMCgQer+VtqEkz7JANurZxLP+U9TCeioL6sp5Z8VRvRbYk4P1INBmbef\nQHJFHCxcSjKmwtvGBWpl/9ra8HW0QDsUaJW2qOJqceJ0ZVFT3hbUHifBM/2jgfgw\ngfUwDgYDVR0PAQH/BAQDAgGGMB0GA1UdJQQWMBQGCCsGAQUFBwMCBggrBgEFBQcD\nATASBgNVHRMBAf8ECDAGAQH/AgEAMB0GA1UdDgQWBBSuSJ7chx1EoG/aouVgdAR4\nwpwAgDAfBgNVHSMEGDAWgBR5tFnme7bl5AFzgAiIyBpY9umbbjAyBggrBgEFBQcB\nAQQmMCQwIgYIKwYBBQUHMAKGFmh0dHA6Ly94MS5pLmxlbmNyLm9yZy8wEwYDVR0g\nBAwwCjAIBgZngQwBAgEwJwYDVR0fBCAwHjAcoBqgGIYWaHR0cDovL3gxLmMubGVu\nY3Iub3JnLzANBgkqhkiG9w0BAQsFAAOCAgEAjx66fDdLk5ywFn3CzA1w1qfylHUD\naEf0QZpXcJseddJGSfbUUOvbNR9N/QQ16K1lXl4VFyhmGXDT5Kdfcr0RvIIVrNxF\nh4lqHtRRCP6RBRstqbZ2zURgqakn/Xip0iaQL0IdfHBZr396FgknniRYFckKORPG\nyM3QKnd66gtMst8I5nkRQlAg/Jb+Gc3egIvuGKWboE1G89NTsN9LTDD3PLj0dUMr\nOIuqVjLB8pEC6yk9enrlrqjXQgkLEYhXzq7dLafv5Vkig6Gl0nuuqjqfp0Q1bi1o\nyVNAlXe6aUXw92CcghC9bNsKEO1+M52YY5+ofIXlS/SEQbvVYYBLZ5yeiglV6t3S\nM6H+vTG0aP9YHzLn/KVOHzGQfXDP7qM5tkf+7diZe7o2fw6O7IvN6fsQXEQQj8TJ\nUXJxv2/uJhcuy/tSDgXwHM8Uk34WNbRT7zGTGkQRX0gsbjAea/jYAoWv0ZvQRwpq\nPe79D/i7Cep8qWnA+7AE/3B3S/3dEEYmc0lpe1366A/6GEgk3ktr9PEoQrLChs6I\ntu3wnNLB2euC8IKGLQFpGtOO/2/hiAKjyajaBP25w1jF0Wl8Bbqne3uZ2q1GyPFJ\nYRmT7/OXpmOH/FVLtwS+8ng1cAmpCujPwteJZNcDG0sF2n/sc0+SQf49fdyUK0ty\n+VUwFj9tmWxyR/M=\n-----END CERTIFICATE-----"


test-mihomo: &Mihomo
  type: hysteria2
  server: mihomo.rymaker.com
  ports: 58443
  password: tsz19961997412
  up: "300 Mbps"
  down: "300 Mbps"
  obfs: salamander
  obfs-password: tsz19961997412
  sni: mihomo.rymaker.com
  skip-cert-verify: false
  fingerprint: "04:C5:2C:73:B4:D2:0A:12:DB:AC:FB:3A:62:EA:52:73:38:88:81:7A:90:95:2E:4C:AA:42:FB:7A:39:D0:AA:C1"
  alpn:
    - h3
  ca-str: "-----BEGIN CERTIFICATE-----\nMIIDkTCCAxagAwIBAgISBmLU7uWjqcywu8A0/1ZG8v9bMAoGCCqGSM49BAMDMDIx\nCzAJBgNVBAYTAlVTMRYwFAYDVQQKEw1MZXQncyBFbmNyeXB0MQswCQYDVQQDEwJF\nODAeFw0yNTEwMjAwNjUyMzhaFw0yNjAxMTgwNjUyMzdaMB0xGzAZBgNVBAMTEm1p\naG9tby5yeW1ha2VyLmNvbTBZMBMGByqGSM49AgEGCCqGSM49AwEHA0IABCeGjNQO\nwIucMEL0Gnmz71nWcvf+ezGdVw0I9AfkIvEWJo2dSfvfg0cJONhsiT74GDVZ7Dml\nL6kkOjQRxHNAUgajggIfMIICGzAOBgNVHQ8BAf8EBAMCB4AwHQYDVR0lBBYwFAYI\nKwYBBQUHAwEGCCsGAQUFBwMCMAwGA1UdEwEB/wQCMAAwHQYDVR0OBBYEFMbGc8xP\nEfKm/M0soNI1Bo735+jTMB8GA1UdIwQYMBaAFI8NE6L2Ln7RUGwzGDhdWY4jcpHK\nMDIGCCsGAQUFBwEBBCYwJDAiBggrBgEFBQcwAoYWaHR0cDovL2U4LmkubGVuY3Iu\nb3JnLzAdBgNVHREEFjAUghJtaWhvbW8ucnltYWtlci5jb20wEwYDVR0gBAwwCjAI\nBgZngQwBAgEwLQYDVR0fBCYwJDAioCCgHoYcaHR0cDovL2U4LmMubGVuY3Iub3Jn\nLzkyLmNybDCCAQMGCisGAQQB1nkCBAIEgfQEgfEA7wB0ABmG1Mcoqm/+ugNveCpN\nAZGqzi1yMQ+uzl1wQS0lTMfUAAABmgCZws4AAAQDAEUwQwIgBkAG2jCxMh5MjdZZ\nMehZiSA2LvTmlTXhBxEwhtnFsFICHwpkTNj6+dAVjHKRKAh+iLHtEQaLdw3uTDVE\n89fQ7PIAdwBkEcRspBLsp4kcogIuALyrTygH1B41J6vq/tUDyX3N8AAAAZoAmcqT\nAAAEAwBIMEYCIQCBVtdVZeqew2IoAQDD+DjGsLdhSGAw4Z6hMe4iTMGF6AIhAL8l\neCbekq0D3i9jS5N1+GjR6xOvKRmbh+71Zg44JtjMMAoGCCqGSM49BAMDA2kAMGYC\nMQDaGUpfyMSEZC5j2CpPuWISLXBvQWYfN6T7UV2kn8ZxHRK8ljhsFbmXorlib6na\n+kICMQCd6aBYfJhkMsJdz8zoHBv0y47E3iUvWTMoNefcnCBTi3jZQ2JvsWHHQDpt\n5am1PqY=\n-----END CERTIFICATE-----\n-----BEGIN CERTIFICATE-----\nMIIEVjCCAj6gAwIBAgIQY5WTY8JOcIJxWRi/w9ftVjANBgkqhkiG9w0BAQsFADBP\nMQswCQYDVQQGEwJVUzEpMCcGA1UEChMgSW50ZXJuZXQgU2VjdXJpdHkgUmVzZWFy\nY2ggR3JvdXAxFTATBgNVBAMTDElTUkcgUm9vdCBYMTAeFw0yNDAzMTMwMDAwMDBa\nFw0yNzAzMTIyMzU5NTlaMDIxCzAJBgNVBAYTAlVTMRYwFAYDVQQKEw1MZXQncyBF\nbmNyeXB0MQswCQYDVQQDEwJFODB2MBAGByqGSM49AgEGBSuBBAAiA2IABNFl8l7c\nS7QMApzSsvru6WyrOq44ofTUOTIzxULUzDMMNMchIJBwXOhiLxxxs0LXeb5GDcHb\nR6EToMffgSZjO9SNHfY9gjMy9vQr5/WWOrQTZxh7az6NSNnq3u2ubT6HTKOB+DCB\n9TAOBgNVHQ8BAf8EBAMCAYYwHQYDVR0lBBYwFAYIKwYBBQUHAwIGCCsGAQUFBwMB\nMBIGA1UdEwEB/wQIMAYBAf8CAQAwHQYDVR0OBBYEFI8NE6L2Ln7RUGwzGDhdWY4j\ncpHKMB8GA1UdIwQYMBaAFHm0WeZ7tuXkAXOACIjIGlj26ZtuMDIGCCsGAQUFBwEB\nBCYwJDAiBggrBgEFBQcwAoYWaHR0cDovL3gxLmkubGVuY3Iub3JnLzATBgNVHSAE\nDDAKMAgGBmeBDAECATAnBgNVHR8EIDAeMBygGqAYhhZodHRwOi8veDEuYy5sZW5j\nci5vcmcvMA0GCSqGSIb3DQEBCwUAA4ICAQBnE0hGINKsCYWi0Xx1ygxD5qihEjZ0\nRI3tTZz1wuATH3ZwYPIp97kWEayanD1j0cDhIYzy4CkDo2jB8D5t0a6zZWzlr98d\nAQFNh8uKJkIHdLShy+nUyeZxc5bNeMp1Lu0gSzE4McqfmNMvIpeiwWSYO9w82Ob8\notvXcO2JUYi3svHIWRm3+707DUbL51XMcY2iZdlCq4Wa9nbuk3WTU4gr6LY8MzVA\naDQG2+4U3eJ6qUF10bBnR1uuVyDYs9RhrwucRVnfuDj29CMLTsplM5f5wSV5hUpm\nUwp/vV7M4w4aGunt74koX71n4EdagCsL/Yk5+mAQU0+tue0JOfAV/R6t1k+Xk9s2\nHMQFeoxppfzAVC04FdG9M+AC2JWxmFSt6BCuh3CEey3fE52Qrj9YM75rtvIjsm/1\nHl+u//Wqxnu1ZQ4jpa+VpuZiGOlWrqSP9eogdOhCGisnyewWJwRQOqK16wiGyZeR\nxs/Bekw65vwSIaVkBruPiTfMOo0Zh4gVa8/qJgMbJbyrwwG97z/PRgmLKCDl8z3d\ntA0Z7qq7fta0Gl24uyuB05dqI5J1LvAzKuWdIjT1tP8qCoxSE/xpix8hX2dt3h+/\njujUgFPFZ0EVZ0xSyBNRF3MboGZnYXFUxpNjTWPKpagDHJQmqrAcDmWJnMsFY3jS\nu1igv3OefnWjSQ==\n-----END CERTIFICATE-----"

CN2香港: &CN2
  type: hysteria2
  server: cn2hy2.rymaker.com
  ports: 58443
  password: tsz19961997412
  up: "300 Mbps"
  down: "300 Mbps"
  obfs: salamander
  obfs-password: tsz19961997412
  sni: cn2hy2.rymaker.com
  skip-cert-verify: false
  fingerprint: "A2:D5:F3:08:A9:F6:C8:6A:2A:51:AC:47:02:FB:9E:8E:FF:4B:9E:91:62:DA:55:9B:46:9A:C4:3B:E0:1F:85:15"
  alpn:
    - h3
  ca-str: "-----BEGIN CERTIFICATE-----\nMIIDkDCCAxWgAwIBAgISBW6jMe8leKRFesc0EEHFHRDEMAoGCCqGSM49BAMDMDIx\nCzAJBgNVBAYTAlVTMRYwFAYDVQQKEw1MZXQncyBFbmNyeXB0MQswCQYDVQQDEwJF\nNzAeFw0yNTEwMjQwMzE5MTFaFw0yNjAxMjIwMzE5MTBaMB0xGzAZBgNVBAMTEmNu\nMmh5Mi5yeW1ha2VyLmNvbTBZMBMGByqGSM49AgEGCCqGSM49AwEHA0IABJd27FAN\ngl6Rc26/ENwcQnfrATFp3uGXr1T8RGaTvYJjQQVBbrpDLot0czjZm6wG4SyAYZHU\nbij8h2ipP2jyLcOjggIeMIICGjAOBgNVHQ8BAf8EBAMCB4AwHQYDVR0lBBYwFAYI\nKwYBBQUHAwEGCCsGAQUFBwMCMAwGA1UdEwEB/wQCMAAwHQYDVR0OBBYEFGvzERE+\nkhRO/bmJmwYmsLuV6YQUMB8GA1UdIwQYMBaAFK5IntyHHUSgb9qi5WB0BHjCnACA\nMDIGCCsGAQUFBwEBBCYwJDAiBggrBgEFBQcwAoYWaHR0cDovL2U3LmkubGVuY3Iu\nb3JnLzAdBgNVHREEFjAUghJjbjJoeTIucnltYWtlci5jb20wEwYDVR0gBAwwCjAI\nBgZngQwBAgEwLQYDVR0fBCYwJDAioCCgHoYcaHR0cDovL2U3LmMubGVuY3Iub3Jn\nLzY5LmNybDCCAQIGCisGAQQB1nkCBAIEgfMEgfAA7gB1ABmG1Mcoqm/+ugNveCpN\nAZGqzi1yMQ+uzl1wQS0lTMfUAAABmhRvygIAAAQDAEYwRAIgb8LeZFANV+Lwu9YN\nQsKHJcDmZNQwLRchUX129kiFAHsCIHqmzpvXKnfg1XkPjtbc9rKiULpfqMk//BUW\nKvTKoPpsAHUAlpdkv1VYl633Q4doNwhCd+nwOtX2pPM2bkakPw/KqcYAAAGaFG/K\nLwAABAMARjBEAiBQiBpJhErD4g842E+aI32HfxqU25EkQYnIEpAcZ9CoKAIgTio9\nQZK74XN2zKzcc5x5BEjQhKn/WttOuY5hpbilMFcwCgYIKoZIzj0EAwMDaQAwZgIx\nAL81T2X7ya4QjjafVGojCsMQoqC/pKTBlGNYbuSXDQ8UBy2QjlB/cEVC/NNpNtbA\nFAIxAK99638BAViPh9llq/2ndRpNGSGhn2ZPfSimPrVjVtFUVcILrrBEDJD7AbGK\nGrs+YQ==\n-----END CERTIFICATE-----\n-----BEGIN CERTIFICATE-----\nMIIEVzCCAj+gAwIBAgIRAKp18eYrjwoiCWbTi7/UuqEwDQYJKoZIhvcNAQELBQAw\nTzELMAkGA1UEBhMCVVMxKTAnBgNVBAoTIEludGVybmV0IFNlY3VyaXR5IFJlc2Vh\ncmNoIEdyb3VwMRUwEwYDVQQDEwxJU1JHIFJvb3QgWDEwHhcNMjQwMzEzMDAwMDAw\nWhcNMjcwMzEyMjM1OTU5WjAyMQswCQYDVQQGEwJVUzEWMBQGA1UEChMNTGV0J3Mg\nRW5jcnlwdDELMAkGA1UEAxMCRTcwdjAQBgcqhkjOPQIBBgUrgQQAIgNiAARB6AST\nCFh/vjcwDMCgQer+VtqEkz7JANurZxLP+U9TCeioL6sp5Z8VRvRbYk4P1INBmbef\nQHJFHCxcSjKmwtvGBWpl/9ra8HW0QDsUaJW2qOJqceJ0ZVFT3hbUHifBM/2jgfgw\ngfUwDgYDVR0PAQH/BAQDAgGGMB0GA1UdJQQWMBQGCCsGAQUFBwMCBggrBgEFBQcD\nATASBgNVHRMBAf8ECDAGAQH/AgEAMB0GA1UdDgQWBBSuSJ7chx1EoG/aouVgdAR4\nwpwAgDAfBgNVHSMEGDAWgBR5tFnme7bl5AFzgAiIyBpY9umbbjAyBggrBgEFBQcB\nAQQmMCQwIgYIKwYBBQUHMAKGFmh0dHA6Ly94MS5pLmxlbmNyLm9yZy8wEwYDVR0g\nBAwwCjAIBgZngQwBAgEwJwYDVR0fBCAwHjAcoBqgGIYWaHR0cDovL3gxLmMubGVu\nY3Iub3JnLzANBgkqhkiG9w0BAQsFAAOCAgEAjx66fDdLk5ywFn3CzA1w1qfylHUD\naEf0QZpXcJseddJGSfbUUOvbNR9N/QQ16K1lXl4VFyhmGXDT5Kdfcr0RvIIVrNxF\nh4lqHtRRCP6RBRstqbZ2zURgqakn/Xip0iaQL0IdfHBZr396FgknniRYFckKORPG\nyM3QKnd66gtMst8I5nkRQlAg/Jb+Gc3egIvuGKWboE1G89NTsN9LTDD3PLj0dUMr\nOIuqVjLB8pEC6yk9enrlrqjXQgkLEYhXzq7dLafv5Vkig6Gl0nuuqjqfp0Q1bi1o\nyVNAlXe6aUXw92CcghC9bNsKEO1+M52YY5+ofIXlS/SEQbvVYYBLZ5yeiglV6t3S\nM6H+vTG0aP9YHzLn/KVOHzGQfXDP7qM5tkf+7diZe7o2fw6O7IvN6fsQXEQQj8TJ\nUXJxv2/uJhcuy/tSDgXwHM8Uk34WNbRT7zGTGkQRX0gsbjAea/jYAoWv0ZvQRwpq\nPe79D/i7Cep8qWnA+7AE/3B3S/3dEEYmc0lpe1366A/6GEgk3ktr9PEoQrLChs6I\ntu3wnNLB2euC8IKGLQFpGtOO/2/hiAKjyajaBP25w1jF0Wl8Bbqne3uZ2q1GyPFJ\nYRmT7/OXpmOH/FVLtwS+8ng1cAmpCujPwteJZNcDG0sF2n/sc0+SQf49fdyUK0ty\n+VUwFj9tmWxyR/M=\n-----END CERTIFICATE-----"
    

yindu: &YINDU
  type: hysteria2
  server: v16.rymaker.cn
  ports: 443
  password: Henkaku@1
  up: "3000 Mbps"
  down: "3000 Mbps"
  obfs: salamander
  obfs-password: Henkaku@1
  sni: v16.rymaker.cn
  skip-cert-verify: false
  fingerprint: "6A:9C:50:B0:1E:3D:17:8E:81:2A:3E:FB:0C:C3:42:20:EC:04:1B:3A:8B:98:EB:AB:18:D6:0D:D8:DD:F6:BC:14"
  alpn:
    - h3
  ca-str: "-----BEGIN CERTIFICATE-----\nMIIE9jCCA96gAwIBAgISBXFHhHl69f8su3IfTgpsiVAXMA0GCSqGSIb3DQEBCwUA\nMDMxCzAJBgNVBAYTAlVTMRYwFAYDVQQKEw1MZXQncyBFbmNyeXB0MQwwCgYDVQQD\nEwNSMTEwHhcNMjUwNjI3MDQyNDM2WhcNMjUwOTI1MDQyNDM1WjAZMRcwFQYDVQQD\nEw52MTYucnltYWtlci5jbjCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEB\nALjF22Uny/joQTDZoT2LIr+JNMZMsUkNlpR03A2NuYWlk9aLenVQd0mBdBKSq0FC\n2sa7dtkADsv8tctFGwAkv7UbKkTvkV0s5DqXpqt3HbotGYOd9aDLDJyMRtkR12xI\ndXYko9mNviKJNDIIn9sy5DTEThWqEkyTKs0sQACQI69gb3gS4K1kdWrKRRII8Jsi\nCd31xpYbh4ppI5pFOLGAIwoGu74c5CuaH4zyuzzWl4iCrHrWBT6rd73I/0/DFI2W\nmNU2uQ5Pdv/WymbVqsxDkLpyP3DO98QiyGoVMyc5C21snxca4Te1h7c4I74ZO9xB\nOtl7PgnADObt5PL3hu8WCT8CAwEAAaOCAhwwggIYMA4GA1UdDwEB/wQEAwIFoDAd\nBgNVHSUEFjAUBggrBgEFBQcDAQYIKwYBBQUHAwIwDAYDVR0TAQH/BAIwADAdBgNV\nHQ4EFgQURLrxRh52K5O6OPqTmH0aEKx938gwHwYDVR0jBBgwFoAUxc9GpOr0w8B6\nbJXELbBeki8m47kwMwYIKwYBBQUHAQEEJzAlMCMGCCsGAQUFBzAChhdodHRwOi8v\ncjExLmkubGVuY3Iub3JnLzAZBgNVHREEEjAQgg52MTYucnltYWtlci5jbjATBgNV\nHSAEDDAKMAgGBmeBDAECATAuBgNVHR8EJzAlMCOgIaAfhh1odHRwOi8vcjExLmMu\nbGVuY3Iub3JnLzI0LmNybDCCAQIGCisGAQQB1nkCBAIEgfMEgfAA7gB1AH1ZHhLh\neCp7HGFnfF79+NCHXBSgTpWeuQMv2Q6MLnm4AAABl6/W6f4AAAQDAEYwRAIfG0oS\nqO5E6eA2SzjEiojL0vfqS43hIngzgJv1sVlFVQIhAJyJHMyAuHtCs/zPlwnNtp1M\neDOCAb/9ARwBH6f3Og8VAHUA3dzKNJXX4RYF55Uy+sef+D0cUN/bADoUEnYKLKy7\nyCoAAAGXr9bqRwAABAMARjBEAiAFr4Htl1faxM81dAP1t5/cMRT5yGjLVjEMO2UU\nEj6AsAIgWCJFEVrdFGukTGegTF3CdKPHTaD4aupAv4KTMmoaBEswDQYJKoZIhvcN\nAQELBQADggEBAHd+9Qr3PbfGSWoNtECRwEcEdayr3e9nJeZG0sqFPdAIC/zFxwIh\nD60Hb+u9BxfXvglshXv6lGfigQUCH2qj8lAOQUDUM0MWjn3pdKXsoy+Hy13gQdED\n6IT0lAmDba9+3hINv+YyRt4eh20r9p1DSkWXJfvMr6BpC7mQJlQv9TMoNJCUrzP3\n9wYPg8W5dRmhrWHaYSoxoBHaEDqUCEiYTpGdoHyuJ7vFnbpALrykAhzCpVAS6LNS\ntbKXdnASkNJiWFTH7EptT9lIQqKqL+Tn72wgssulMDDh98Sjx6W0hPhRavJWwzYN\nDs2UfIi/ggHlD1dSVi9MdnsRfjcoEmZ8i+k=\n-----END CERTIFICATE-----\n-----BEGIN CERTIFICATE-----\nMIIFBjCCAu6gAwIBAgIRAIp9PhPWLzDvI4a9KQdrNPgwDQYJKoZIhvcNAQELBQAw\nTzELMAkGA1UEBhMCVVMxKTAnBgNVBAoTIEludGVybmV0IFNlY3VyaXR5IFJlc2Vh\ncmNoIEdyb3VwMRUwEwYDVQQDEwxJU1JHIFJvb3QgWDEwHhcNMjQwMzEzMDAwMDAw\nWhcNMjcwMzEyMjM1OTU5WjAzMQswCQYDVQQGEwJVUzEWMBQGA1UEChMNTGV0J3Mg\nRW5jcnlwdDEMMAoGA1UEAxMDUjExMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIB\nCgKCAQEAuoe8XBsAOcvKCs3UZxD5ATylTqVhyybKUvsVAbe5KPUoHu0nsyQYOWcJ\nDAjs4DqwO3cOvfPlOVRBDE6uQdaZdN5R2+97/1i9qLcT9t4x1fJyyXJqC4N0lZxG\nAGQUmfOx2SLZzaiSqhwmej/+71gFewiVgdtxD4774zEJuwm+UE1fj5F2PVqdnoPy\n6cRms+EGZkNIGIBloDcYmpuEMpexsr3E+BUAnSeI++JjF5ZsmydnS8TbKF5pwnnw\nSVzgJFDhxLyhBax7QG0AtMJBP6dYuC/FXJuluwme8f7rsIU5/agK70XEeOtlKsLP\nXzze41xNG/cLJyuqC0J3U095ah2H2QIDAQABo4H4MIH1MA4GA1UdDwEB/wQEAwIB\nhjAdBgNVHSUEFjAUBggrBgEFBQcDAgYIKwYBBQUHAwEwEgYDVR0TAQH/BAgwBgEB\n/wIBADAdBgNVHQ4EFgQUxc9GpOr0w8B6bJXELbBeki8m47kwHwYDVR0jBBgwFoAU\nebRZ5nu25eQBc4AIiMgaWPbpm24wMgYIKwYBBQUHAQEEJjAkMCIGCCsGAQUFBzAC\nhhZodHRwOi8veDEuaS5sZW5jci5vcmcvMBMGA1UdIAQMMAowCAYGZ4EMAQIBMCcG\nA1UdHwQgMB4wHKAaoBiGFmh0dHA6Ly94MS5jLmxlbmNyLm9yZy8wDQYJKoZIhvcN\nAQELBQADggIBAE7iiV0KAxyQOND1H/lxXPjDj7I3iHpvsCUf7b632IYGjukJhM1y\nv4Hz/MrPU0jtvfZpQtSlET41yBOykh0FX+ou1Nj4ScOt9ZmWnO8m2OG0JAtIIE38\n01S0qcYhyOE2G/93ZCkXufBL713qzXnQv5C/viOykNpKqUgxdKlEC+Hi9i2DcaR1\ne9KUwQUZRhy5j/PEdEglKg3l9dtD4tuTm7kZtB8v32oOjzHTYw+7KdzdZiw/sBtn\nUfhBPORNuay4pJxmY/WrhSMdzFO2q3Gu3MUBcdo27goYKjL9CTF8j/Zz55yctUoV\naneCWs/ajUX+HypkBTA+c8LGDLnWO2NKq0YD/pnARkAnYGPfUDoHR9gVSp/qRx+Z\nWghiDLZsMwhN1zjtSC0uBWiugF3vTNzYIEFfaPG7Ws3jDrAMMYebQ95JQ+HIBD/R\nPBuHRTBpqKlyDnkSHDHYPiNX3adPoPAcgdF3H2/W0rmoswMWgTlLn1Wu0mrks7/q\npdWfS6PJ1jty80r2VKsM/Dj3YIDfbjXKdaFU5C+8bhfJGqU3taKauuz0wHVGT3eo\n6FlWkWYtbt4pgdamlwVeZEW+LM7qZEJEsMNPrfC03APKmZsJgpWCDWOKZvkZcvjV\nuYkQ4omYCTX5ohy+knMjdOmdH9c7SpqEWBDC86fiNex+O0XOMEZSa8DA\n-----END CERTIFICATE-----"

xini: &XINI
  type: hysteria2
  server: v23.rymaker.cn
  ports: 443
  password: tsz19961997412
  up: "3000 Mbps"
  down: "3000 Mbps"
  obfs: salamander
  obfs-password: tsz19961997412
  sni: v23.rymaker.cn
  skip-cert-verify: false
  fingerprint: "BD:61:6B:42:25:EA:F8:81:AC:F3:79:BE:D6:5C:5A:FF:87:EB:40:2C:FF:64:98:61:A4:FD:24:6A:4E:03:57:D1"
  alpn:
    - h3
  ca-str: "-----BEGIN CERTIFICATE-----\nMIIDiTCCAw6gAwIBAgISBe2FDHLPbUsg2jW94DDbtLIRMAoGCCqGSM49BAMDMDIx\nCzAJBgNVBAYTAlVTMRYwFAYDVQQKEw1MZXQncyBFbmNyeXB0MQswCQYDVQQDEwJF\nNjAeFw0yNTA2MjcwNDQzMjNaFw0yNTA5MjUwNDQzMjJaMBkxFzAVBgNVBAMTDnYy\nMy5yeW1ha2VyLmNuMFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAExcm602fT8u3h\n3HGP1pe5ScXV2dsF8hDpE/f+Htd7UPUB4mKqD9Ta714a3S1+nySbV5BboQpXopDL\nNCUSp4xi3qOCAhswggIXMA4GA1UdDwEB/wQEAwIHgDAdBgNVHSUEFjAUBggrBgEF\nBQcDAQYIKwYBBQUHAwIwDAYDVR0TAQH/BAIwADAdBgNVHQ4EFgQUQ6bEjufVC+Tq\njnVn9qDfxnLN6powHwYDVR0jBBgwFoAUkydGmAOpUWiOmNbEQkjbI79YlNIwMgYI\nKwYBBQUHAQEEJjAkMCIGCCsGAQUFBzAChhZodHRwOi8vZTYuaS5sZW5jci5vcmcv\nMBkGA1UdEQQSMBCCDnYyMy5yeW1ha2VyLmNuMBMGA1UdIAQMMAowCAYGZ4EMAQIB\nMC0GA1UdHwQmMCQwIqAgoB6GHGh0dHA6Ly9lNi5jLmxlbmNyLm9yZy8xOC5jcmww\nggEDBgorBgEEAdZ5AgQCBIH0BIHxAO8AdQCkQsUGSWBhVI8P1Oqc+3otJkVNh6l/\nL99FWfYnTzqEVAAAAZev6BnCAAAEAwBGMEQCIHKiUmnlnnflYegQ25K+TM//s0mf\nRBz2dDrAPLWh1XMoAiAbKEVroaA2VqOIxl7Lq+Phfx8GSl52lzTPHujxZvuW1QB2\nAN3cyjSV1+EWBeeVMvrHn/g9HFDf2wA6FBJ2Ciysu8gqAAABl6/oGgIAAAQDAEcw\nRQIhAIO6SErhCATOTZg9NokwqIrjCY9RdfsT7L3R4hh82jXCAiATQVzX2ymQKVLy\nmiUPhZHAj+c97zMIMI/ZblKVa91HEjAKBggqhkjOPQQDAwNpADBmAjEApiHdiyeR\nvE8ZLV4RF/kSQd7znHVs8Sx9sRAp/R54flepgGubvc53fKxGJkcvuDwMAjEAniAb\nYy0zZPoDiktC1tORL+Nd31cKyHI0Nh/Q2Y8YIAsfkVle5FTfhWGtsZP+nx0V\n-----END CERTIFICATE-----\n-----BEGIN CERTIFICATE-----\nMIIEVzCCAj+gAwIBAgIRALBXPpFzlydw27SHyzpFKzgwDQYJKoZIhvcNAQELBQAw\nTzELMAkGA1UEBhMCVVMxKTAnBgNVBAoTIEludGVybmV0IFNlY3VyaXR5IFJlc2Vh\ncmNoIEdyb3VwMRUwEwYDVQQDEwxJU1JHIFJvb3QgWDEwHhcNMjQwMzEzMDAwMDAw\nWhcNMjcwMzEyMjM1OTU5WjAyMQswCQYDVQQGEwJVUzEWMBQGA1UEChMNTGV0J3Mg\nRW5jcnlwdDELMAkGA1UEAxMCRTYwdjAQBgcqhkjOPQIBBgUrgQQAIgNiAATZ8Z5G\nh/ghcWCoJuuj+rnq2h25EqfUJtlRFLFhfHWWvyILOR/VvtEKRqotPEoJhC6+QJVV\n6RlAN2Z17TJOdwRJ+HB7wxjnzvdxEP6sdNgA1O1tHHMWMxCcOrLqbGL0vbijgfgw\ngfUwDgYDVR0PAQH/BAQDAgGGMB0GA1UdJQQWMBQGCCsGAQUFBwMCBggrBgEFBQcD\nATASBgNVHRMBAf8ECDAGAQH/AgEAMB0GA1UdDgQWBBSTJ0aYA6lRaI6Y1sRCSNsj\nv1iU0jAfBgNVHSMEGDAWgBR5tFnme7bl5AFzgAiIyBpY9umbbjAyBggrBgEFBQcB\nAQQmMCQwIgYIKwYBBQUHMAKGFmh0dHA6Ly94MS5pLmxlbmNyLm9yZy8wEwYDVR0g\nBAwwCjAIBgZngQwBAgEwJwYDVR0fBCAwHjAcoBqgGIYWaHR0cDovL3gxLmMubGVu\nY3Iub3JnLzANBgkqhkiG9w0BAQsFAAOCAgEAfYt7SiA1sgWGCIpunk46r4AExIRc\nMxkKgUhNlrrv1B21hOaXN/5miE+LOTbrcmU/M9yvC6MVY730GNFoL8IhJ8j8vrOL\npMY22OP6baS1k9YMrtDTlwJHoGby04ThTUeBDksS9RiuHvicZqBedQdIF65pZuhp\neDcGBcLiYasQr/EO5gxxtLyTmgsHSOVSBcFOn9lgv7LECPq9i7mfH3mpxgrRKSxH\npOoZ0KXMcB+hHuvlklHntvcI0mMMQ0mhYj6qtMFStkF1RpCG3IPdIwpVCQqu8GV7\ns8ubknRzs+3C/Bm19RFOoiPpDkwvyNfvmQ14XkyqqKK5oZ8zhD32kFRQkxa8uZSu\nh4aTImFxknu39waBxIRXE4jKxlAmQc4QjFZoq1KmQqQg0J/1JF8RlFvJas1VcjLv\nYlvUB2t6npO6oQjB3l+PNf0DpQH7iUx3Wz5AjQCi6L25FjyE06q6BZ/QlmtYdl/8\nZYao4SRqPEs/6cAiF+Qf5zg2UkaWtDphl1LKMuTNLotvsX99HP69V2faNyegodQ0\nLyTApr/vT01YPE46vNsDLgK+4cL6TrzC/a4WcmF5SRJ938zrv/duJHLXQIku5v0+\nEwOy59Hdm0PT/Er/84dDV0CSjdR/2XuZM3kpysSKLgD1cKiDA+IRguODCxfO9cyY\nIg46v9mFmBvyH04=\n-----END CERTIFICATE-----"

riben: &RIBEN
  type: hysteria2
  server: v13.rymaker.cn
  ports: 443
  password: tsz19961997412
  up: "3000 Mbps"
  down: "3000 Mbps"
  obfs: salamander
  obfs-password: tsz19961997412
  sni: v13.rymaker.cn
  skip-cert-verify: false
  fingerprint: "4B:58:27:AE:37:20:9F:FF:27:3B:84:E3:98:E6:B1:64:23:DF:0A:3C:4D:38:DA:C0:05:86:45:86:89:5C:78:83"
  alpn:
    - h3
  ca-str: "-----BEGIN CERTIFICATE-----\nMIIDiTCCAxCgAwIBAgISBZ2rYxQ1lg85pWfboav3yh0vMAoGCCqGSM49BAMDMDIx\nCzAJBgNVBAYTAlVTMRYwFAYDVQQKEw1MZXQncyBFbmNyeXB0MQswCQYDVQQDEwJF\nNTAeFw0yNTA2MjcwNTI1MzlaFw0yNTA5MjUwNTI1MzhaMBkxFzAVBgNVBAMTDnYx\nMy5yeW1ha2VyLmNuMFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAEHrMObrERcBLK\nSY+BV/JSvx5G+6PV8RumybwJP3dohFjWtiW9Ew2aieSxc2KYU4Uw943KLmAgQYBh\nesoihmTktKOCAh0wggIZMA4GA1UdDwEB/wQEAwIHgDAdBgNVHSUEFjAUBggrBgEF\nBQcDAQYIKwYBBQUHAwIwDAYDVR0TAQH/BAIwADAdBgNVHQ4EFgQU/AB7ScwnGg0o\nLZB9sur8Khm5eq8wHwYDVR0jBBgwFoAUnytfzzwhT50Et+0rLMTGcIvS1w0wMgYI\nKwYBBQUHAQEEJjAkMCIGCCsGAQUFBzAChhZodHRwOi8vZTUuaS5sZW5jci5vcmcv\nMBkGA1UdEQQSMBCCDnYxMy5yeW1ha2VyLmNuMBMGA1UdIAQMMAowCAYGZ4EMAQIB\nMC0GA1UdHwQmMCQwIqAgoB6GHGh0dHA6Ly9lNS5jLmxlbmNyLm9yZy80OC5jcmww\nggEFBgorBgEEAdZ5AgQCBIH2BIHzAPEAdwB9WR4S4XgqexxhZ3xe/fjQh1wUoE6V\nnrkDL9kOjC55uAAAAZewDs4MAAAEAwBIMEYCIQDe+t37RKovexNj519hLaYc+PH5\nUgjs2ksfAZdDT5XlUwIhAIZO5pKlmboAqVAAIkQcIJPd0p+VmP3ud7+ji2QwrBL8\nAHYAEvFONL1TckyEBhnDjz96E/jntWKHiJxtMAWE6+WGJjoAAAGXsA7ODgAABAMA\nRzBFAiAcHNNcnfdl1CX9p6qbuIFFUgVw5roQXa5G45Ne33Pl/gIhAJx2ndxEc+ri\npHXNsOnHORUcBO285GT4EeYKV3mVUYA8MAoGCCqGSM49BAMDA2cAMGQCMFrHRdPS\nnFANLoMzMlr2m/nWvsI2PL1ObVz8ezmRhH5OR3a6ZEU/we4KspGVaIO+gwIwQIVm\n5gyoMMbF/ywabWUOjO28K4tC26X3td7Bu32T69Vprh6HMHhzMaX6b15qJDfn\n-----END CERTIFICATE-----\n-----BEGIN CERTIFICATE-----\nMIIEVzCCAj+gAwIBAgIRAIOPbGPOsTmMYgZigxXJ/d4wDQYJKoZIhvcNAQELBQAw\nTzELMAkGA1UEBhMCVVMxKTAnBgNVBAoTIEludGVybmV0IFNlY3VyaXR5IFJlc2Vh\ncmNoIEdyb3VwMRUwEwYDVQQDEwxJU1JHIFJvb3QgWDEwHhcNMjQwMzEzMDAwMDAw\nWhcNMjcwMzEyMjM1OTU5WjAyMQswCQYDVQQGEwJVUzEWMBQGA1UEChMNTGV0J3Mg\nRW5jcnlwdDELMAkGA1UEAxMCRTUwdjAQBgcqhkjOPQIBBgUrgQQAIgNiAAQNCzqK\na2GOtu/cX1jnxkJFVKtj9mZhSAouWXW0gQI3ULc/FnncmOyhKJdyIBwsz9V8UiBO\nVHhbhBRrwJCuhezAUUE8Wod/Bk3U/mDR+mwt4X2VEIiiCFQPmRpM5uoKrNijgfgw\ngfUwDgYDVR0PAQH/BAQDAgGGMB0GA1UdJQQWMBQGCCsGAQUFBwMCBggrBgEFBQcD\nATASBgNVHRMBAf8ECDAGAQH/AgEAMB0GA1UdDgQWBBSfK1/PPCFPnQS37SssxMZw\ni9LXDTAfBgNVHSMEGDAWgBR5tFnme7bl5AFzgAiIyBpY9umbbjAyBggrBgEFBQcB\nAQQmMCQwIgYIKwYBBQUHMAKGFmh0dHA6Ly94MS5pLmxlbmNyLm9yZy8wEwYDVR0g\nBAwwCjAIBgZngQwBAgEwJwYDVR0fBCAwHjAcoBqgGIYWaHR0cDovL3gxLmMubGVu\nY3Iub3JnLzANBgkqhkiG9w0BAQsFAAOCAgEAH3KdNEVCQdqk0LKyuNImTKdRJY1C\n2uw2SJajuhqkyGPY8C+zzsufZ+mgnhnq1A2KVQOSykOEnUbx1cy637rBAihx97r+\nbcwbZM6sTDIaEriR/PLk6LKs9Be0uoVxgOKDcpG9svD33J+G9Lcfv1K9luDmSTgG\n6XNFIN5vfI5gs/lMPyojEMdIzK9blcl2/1vKxO8WGCcjvsQ1nJ/Pwt8LQZBfOFyV\nXP8ubAp/au3dc4EKWG9MO5zcx1qT9+NXRGdVWxGvmBFRAajciMfXME1ZuGmk3/GO\nkoAM7ZkjZmleyokP1LGzmfJcUd9s7eeu1/9/eg5XlXd/55GtYjAM+C4DG5i7eaNq\ncm2F+yxYIPt6cbbtYVNJCGfHWqHEQ4FYStUyFnv8sjyqU8ypgZaNJ9aVcWSICLOI\nE1/Qv/7oKsnZCWJ926wU6RqG1OYPGOi1zuABhLw61cuPVDT28nQS/e6z95cJXq0e\nK1BcaJ6fJZsmbjRgD5p3mvEf5vdQM7MCEvU0tHbsx2I5mHHJoABHb8KVBgWp/lcX\nGWiWaeOyB7RP+OfDtvi2OsapxXiV7vNVs7fMlrRjY1joKaqmmycnBvAq14AEbtyL\nsVfOS66B8apkeFX2NY4XPEYV4ZSCe8VHPrdrERk2wILG3T/EGmSIkCYVUMSnjmJd\nVQD9F6Na/+zmXCc=\n-----END CERTIFICATE-----"

proxies:
  - name: mihomo
    port: 10066 # (需要自行替换)
    <<: *Mihomo
  - name: CN2
    port: 10067 # (需要自行替换)
    <<: *CN2
  - name: 新加坡
    port: 10001 # (需要自行替换)
    <<: *PSCX
  - name: 日本HY2
    port: 10004 # (需要自行替换)
    <<: *ribenhy2
  - name: YINDU
    port: 10002
    <<: *YINDU
  - name: XINI
    port: 10003
    <<: *XINI
  - name: RIBEN
    port: 10012
    <<: *RIBEN

All-Regions-Nodes: &ARN
  proxies:
    - Main

Proxy-Groups-Type:
  Select: &PGT
    type: select
    url: &HCT-URL https://www.gstatic.com/generate_204
  Load-balance: &PGTL
    type: load-balance
    url: *HCT-URL
    interval: 300
    strategy: consistent-hashing
    hidden: true

proxy-groups:
  - name: Main
    <<: *PGT
    proxies:
      # - vless-ws
      # - vless-grpc
      - mihomo
      - CN2
      - 新加坡
      - RIBEN
      - XINI
      - 日本HY2
      - YINDU
    icon: example.com # (自定义)

Rule-Providers-Format: &RPF
  type: http
  interval: 604800
  proxy: Main
  behavior: classical

rule-providers:
  Advertising:
    url: http://hysteria.rymaker.com/blackmatrix7/Advertising_Classical_No_Resolve.yaml
    <<: *RPF
  ZhihuAds:
    url: http://hysteria.rymaker.com/blackmatrix7/ZhihuAds_No_Resolve.yaml
    <<: *RPF
  EasyPrivacy:
    url: http://hysteria.rymaker.com/blackmatrix7/EasyPrivacy_Classical_No_Resolve.yaml
    <<: *RPF
  BlockHttpDNS:
    url: http://hysteria.rymaker.com/blackmatrix7/BlockHttpDNS_No_Resolve.yaml
    <<: *RPF
  MIUIPrivacy:
    url: http://hysteria.rymaker.com/blackmatrix7/MIUIPrivacy_No_Resolve.yaml
    <<: *RPF
  Lan:
    url: http://hysteria.rymaker.com/blackmatrix7/Lan_No_Resolve.yaml
    <<: *RPF
  ChinaMax:
    url: http://hysteria.rymaker.com/blackmatrix7/hinaMax_Classical.yaml
    <<: *RPF
  applications:
    url: http://hysteria.rymaker.com/blackmatrix7/applications.txt
    <<: *RPF
  BiliBili:
    url: http://hysteria.rymaker.com/blackmatrix7/BiliBili_No_Resolve.yaml
    <<: *RPF
  Steam:
    url: http://hysteria.rymaker.com/blackmatrix7/Steam_No_Resolve.yaml
    <<: *RPF
  SteamCN:
    url: http://hysteria.rymaker.com/blackmatrix7/SteamCN_No_Resolve.yaml
    <<: *RPF
  AdobeActivation:
    url: http://hysteria.rymaker.com/blackmatrix7/AdobeActivation_No_Resolve.yaml
    <<: *RPF
  Global:
    url: http://hysteria.rymaker.com/blackmatrix7/Global_Classical_No_Resolve.yaml
    <<: *RPF

rules:
  - IP-CIDR,8.8.8.8/32,Main,no-resolve
  - DOMAIN,cloudflare-dns.com,Main
  - DOMAIN,dns.google,Main
  - RULE-SET,Advertising,Main
  - RULE-SET,ZhihuAds,Main
  - RULE-SET,EasyPrivacy,Main
  - RULE-SET,BlockHttpDNS,Main
  - RULE-SET,BiliBili,Main
  - RULE-SET,SteamCN,DIRECT
  - GEOSITE,Steam,Main
  - RULE-SET,Steam,Main
  - IN-USER,sun,Main
  # - GEOSITE,adobe-activation,Adobe Activation
  # - RULE-SET,AdobeActivation,Adobe Activation
  - RULE-SET,Lan,DIRECT
  - RULE-SET,ChinaMax,DIRECT
  - RULE-SET,applications,DIRECT
  - GEOIP,CN,DIRECT,no-resolve
  - MATCH,Main
